kafka-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Gray, Alex" <Alex.G...@inin.com>
Subject RE: javadoc error when ./sbt publish-package
Date Thu, 02 May 2013 20:14:55 GMT
To get around this error, modify the file "project/Build.scala" by removing these lines:
-    javacOptions ++= Seq("-Xlint:unchecked", "-source", "1.5"),
-    javacOptions ++= Seq("-Xlint:deprecation"),

This will allow "./sbt publish-local" to run successfully.

Alex Gray

-----Original Message-----
From: Gray, Alex [mailto:Alex.Gray@inin.com] 
Sent: Monday, April 29, 2013 2:26 PM
To: users@kafka.apache.org
Subject: javadoc error when ./sbt publish-package

I'm getting an error when I execute "./sbt publish-package":
[error] javadoc: error - invalid flag: -Xlint:deprecation

I'm using jdk1.7.0_21.

Steps to Reproduce:
git clone https://git-wip-us.apache.org/repos/asf/kafka.git
cd kafka
git checkout -b 0.8 remotes/origin/0.8
./sbt publish-local

Am I doing something wrong?

Thanks!


Mime
View raw message